@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,700;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;1,400;1,700;1,900&display=swap');
* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;
}

h2 {
    position: relative;
    margin: 20px 0 0;
    font-size: 4em;
    font-weight: 900;
    color: #fff;
    z-index: 1;
    overflow: hidden;
}

h2::before {
    content: '';
    position: absolute;
    left: 110%;
    width: 120%;
    height: 100%;
    background: linear-gradient(90deg, transparent 0%, #000 5%, #000 100%);
    animation: animate 5.5s linear forwards;
    animation-delay: 2s;
}

@keyframes animate {
    0% {
        left: 110%
    }
    100% {
        left: -20%;
    }
}

h2 span {
    color: crimson;
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
    pointer-events: none;
    mix-blend-mode: screen;
}